%global gem_name smart_proxy_pulp

%global foreman_proxy_dir /usr/share/foreman-proxy
%global foreman_proxy_bundlerd_dir %{foreman_proxy_dir}/bundler.d
%global foreman_proxy_settingsd_dir %{_sysconfdir}/foreman-proxy/settings.d

Summary: Basic Pulp support for Foreman Smart-Proxy
Name: rubygem-%{gem_name}
Version: 1.0.1.2
Release: 1%{?dist}
Group: Applications/System
License: GPLv3
URL: https://github.com/theforeman/smart-proxy-pulp
Source0: %{gem_name}-%{version}.gem

Requires: ruby(rubygems)
Requires: foreman-proxy >= 1.6.0

%if 0%{?rhel} == 6
Requires: ruby(abi)
BuildRequires: ruby(abi)
%else
Requires: ruby(release)
BuildRequires: ruby(release)
%endif
BuildRequires: rubygems-devel

BuildRequires: ruby(rubygems)
BuildArch: noarch

Provides: rubygem(%{gem_name}) = %{version}
Provides: foreman-proxy-plugin-pulp

%description
Basic Pulp support for Foreman Smart-Proxy.

%package doc
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep

%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{foreman_proxy_bundlerd_dir}
cp -pa .%{gem_instdir}/bundler.d/pulp.rb %{buildroot}%{foreman_proxy_bundlerd_dir}
mkdir -p  %{buildroot}%{_sysconfdir}/foreman-proxy/settings.d/
cp -pa .%{gem_instdir}/settings.d/pulp.yml.example %{buildroot}%{foreman_proxy_settingsd_dir}/pulp.yml

%files
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/bundler.d
%{gem_instdir}/settings.d
%{foreman_proxy_bundlerd_dir}/pulp.rb
%{_sysconfdir}/foreman-proxy/settings.d/pulp.yml
%doc %{gem_instdir}/LICENSE

%exclude %{gem_cache}
%exclude %{gem_instdir}/Gemfile
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 22 2015 Jason Montleon <jmontleo@redhat.com> 1.0.1.2-1
- bump version (jmontleo@redhat.com)

* Thu Jan 15 2015 Jason Montleon <jmontleo@redhat.com> 1.0.1.1-1
- update package versioning (jmontleo@redhat.com)

* Wed Aug 20 2014 Jason Montleon <jmontleo@redhat.com> 1.0.1-1.1
- adding pulp_node feature (jsherril@redhat.com)
- bumping version to 1.0.1 (jsherril@redhat.com)

* Fri Aug 08 2014 Jason Montleon <jmontleo@redhat.com> 1.0.0-1.1
- fix version and tagger (jmontleo@redhat.com)
- fix build type (jmontleo@redhat.com)

* Thu Aug 07 2014 Jason Montleon <jmontleo@redhat.com> 1.0.1-1
- new package built with tito

* Wed Jul 23 2014 Dominic Cleal <dcleal@redhat.com> 1.0.0-2
- Fix -doc requirement on main package (dcleal@redhat.com)

* Wed Jul 23 2014 Dmitri Dolguikh <dmitri@appliedlogic.ca>
- new package built with tito
